# Can Be Edited in Portal Determine whether or not activity can be editing in the portal Endpoint: GET /activities/{tenantId}/canEdit/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The tenant - `id` (string, required) The contact_id to use to for record lookup ## Response 200 fields (application/json): - `activity` (object) - `activity.additional_details` (string) Additional details - `activity.contact_id` (string, required) The owner of the activity - `activity.credit_calculator_variables` (object) - `activity.credits` (array) - `activity.credits.credit_type_id` (string, required) The type of credit - `activity.credits.quantity` (number, required) The amount of credits - `activity.custom_field_values` (array) - `activity.custom_field_values.boolean_value` (boolean) The boolean value - `activity.custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `activity.custom_field_values.file_url_value` (string) The pointer to a file value - `activity.custom_field_values.list_value` (array) The list value - `activity.custom_field_values.numeric_value` (number) The numeric value - `activity.custom_field_values.string_value` (string) The string value of the custom field - `activity.custom_field_values.table_value` (array) A list of objects (a table) - `activity.date` (string, required) Date of the activity - `activity.file_upload_uri` (string) File upload for supporting documentation of the activity - `activity.id` (string) The unique, string identifier of this activity - `activity.name` (string, required) Name of the activity - `activity.process_id` (string) The reporting process - `activity.processed_date` (string) The date the activity was processed - `activity.quantity` (number) If applicable, quantity associated with the activity - `activity.status` (string) Enum: "draft", "processed", "under review", "verified" - `activity.sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `activity.sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `activity.sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `activity.sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `activity.sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `activity.sys_calculated_field_error` (string) The error associated with the calculated field - `activity.sys_calculated_field_errors` (array) - `activity.sys_calculated_field_errors.error` (string) - `activity.sys_calculated_field_errors.field` (string) - `activity.sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `activity.sys_created_at` (string) The date/time that this record was created, expressed in ISO-8601 date format - `activity.sys_created_by_id` (string) The ID of the user that created this record - `activity.sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `activity.sys_directive` (string) Means for passing directive information into an object processing logic - `activity.sys_external_id` (string) The ID that a record has from an external system or data import - `activity.sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `activity.sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `activity.sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `activity.sys_last_modified_at` (string) The date/time that this record record was last modified, expressed in ISO-8601 date format - `activity.sys_last_modified_by_id` (string) The ID of the user that last modified this record - `activity.sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `activity.sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `activity.sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `activity.sys_version` (number) A number representing the version of this record in the database - `activity.total_number_of_credits` (number) The total # of credits - `activity.type_id` (string, required) The type of activity - `form_id` (string) - `type` (object) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields